how to upgrade to 4.1 from 4

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

how to upgrade to 4.1 from 4

Postby balajijagadesh » Fri May 29, 2009 6:48

i do not have internet connection.. i have to download only from browsing centres... so is it possible for me to upgrade from 4 to 4.1 currently i am using 32 bit kde enhanced experience.....? mine is intel dual core processor and 2 gb ram
balajijagadesh
Baby Hen
 
Posts: 11
Joined: Thu May 28, 2009 4:45

Re: how to upgrade to 4.1 from 4

Postby WarraWarra » Sun May 31, 2009 1:11

It can be done and someone has to make a xdelta for you so you can update the .iso disc image for the dvd and then install. This could still end up close to 500mb or more.

You would still need to download 280+ packages to get it where it is now from 4.1 kde release more or less so someone will have to patch the xdelta to latest available packages. This could be 800mb / 900mb or more but would be up-to-date of xdelta / patch creation date. Just guessing sizes on update sizes I have done so far + patch size.

You can also if using the laptop / pc at a internet cafe that has SL on download the 600 packages about to update using:
Code: Select all
equo world --fetchonly

Then once back at home run
Code: Select all
equo world


You can also download to a usb stick / pen drive or similar, the content of this below and download too much that you might not need.
Code: Select all
http://na.mirror.garr.it/mirrors/sabayonlinux/entropy/standard/sabayonlinux.org/packages/x86/4/

and
Code: Select all
http://na.mirror.garr.it/mirrors/sabayonlinux/entropy/standard/sabayonlinux.org/database/x86/4/

and paste the packages to the packages/x86/4 folder in /var/lib/entropy and database to database/x86/4 folder you get the idea, same with amd64 folders if running on amd64.

The end of june / middle of july about the 4.2 version would be available and would be better to jump to it and miss a lot of bugs in 4.1 versions.

If it works there is no real reason to upgrade except to test / play with it.
Only update if a fix is needed for broken stuff.

Hope this helps.
NB: if there is a linux friendly internet service provider close by or in the same country as you are they can setup a mirror and then have one of the linux guy's make a dvd for you and post it. Some country's have national high limits or only local access internet to download a lot from local and limited / no international downloads and this could help with that as well.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: how to upgrade to 4.1 from 4

Postby albfneto » Sun May 31, 2009 20:49

i tried to updating, convert, an recently installed 4.0 r1, to the new 4.1 (experimental 4.2), without sucess.
i tried several times....
in the first tries, equo world made completely unusable installations, with many partition damages (my partitions are reiserfs) and BUS errors, and with very poor RAM resources...
in one ot the tries, i update equo and only the kernel and nvidia drivers, without equo world... and many BUS errors again...
in the last tried, i only install fresh, the 4.0 r1, and made only the commands:

Code: Select all
su
equo update
equo install entropy
equo install equo
equo install sulfur


These commands only updated the Entropy, withoumade any kernel or portage modifications.
reboot, and now..many memorry, bus errors....
is not my comp, because the freshly installed d4.0 r1 runs, and tin the same comp i have the Sabayon 4.1 updated to 4.2, the classical gentoo, mandriva free and windows 7, all working great..

with the older versions of Entropy, series 0.5, i had sucess many times, including i have, at my job, a comp, in witch Sabayon was installed in January (4.0r1)and gradually, was fully updated until the packages of the 4.2....

seems to me that the old 4.0 r1 version is not more compatible with the new Entropy versions, series 0.9.
i have in mind to try complete updating only with portage...
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: how to upgrade to 4.1 from 4

Postby WarraWarra » Sun May 31, 2009 22:25

Yup there seems to have been a time for about 2 weeks that I had similar problems with 4.1gnome and updating, yesterday afternoon /Sat 30 may gmt-7 did clean install and equo world --fetch and then rebooted into text terminal root login "nox" and equo world and it did a perfect update with 4.2 artwork showing.
Everything works fine just need to fix either my wifi broadcom based router as it and my laptop wifi card broadcom does not want to wep / wpa / wpa2 and driving me crazy.

Crazy laptop mouse problem still here but better.

It seems that the problems is being removed or being fixed as we speak so should be able to do it in the next week from 4.0* to current pre 4.2 .

The small / core / mini / cd is almost ready they are just fixing / testing the last things and should be out soon then he can rather download this = smaller size and up-to-date then do a clean install or possibly update from this .iso or later in june / july with 4.2 dvd download / install.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: how to upgrade to 4.1 from 4

Postby albfneto » Mon Jun 01, 2009 0:55

in fact, i do not have the problem with the 4.1 updated, this works great....
but in the same comp, i have another sabayon, a complete 4.0 r1, that i want to completely update...

this in a problem only when i try to convert a freshly installed 4.0 r1 in a new 4.2 full complete version..

if i understood, you suggest i expect some days until solved in newer entropy,
and further, i made, these commands, under no X conditions:

Code: Select all
equo update
equo --fetch world
equo world


i tried today updating it with portage, three different versions os portage... the "normal" gentoo portage, 1.2.6 series and the newer 2.2 32 and 33. since the system not update well with equo udate, i installed manually the binary of the portage from the Sabayon repo, therefore i made emerge --sync, but when i try emerge something, anything, the errors are the showed below. only emerge --sync works...., but individual packages are all un- s
I'm not un stalable!
I'm not an informatics profissional.
The two problems may be have conection?

Code: Select all
localhost albfneto # emerge krusader
Calculating dependencies
Traceback (most recent call last):
  File "/usr/bin/emerge", line 18, in <module>
    retval = _emerge.emerge_main()
  File "//usr/lib64/portage/pym/_emerge/__init__.py", line 14543, in emerge_main
    myopts, myaction, myfiles, spinner)
  File "//usr/lib64/portage/pym/_emerge/__init__.py", line 13343, in action_build
    mydepgraph = depgraph(settings, trees, myopts, myparams, spinner)
  File "//usr/lib64/portage/pym/_emerge/__init__.py", line 4224, in __init__
    pkg_cache=self._pkg_cache)
  File "//usr/lib64/portage/pym/_emerge/__init__.py", line 1104, in __init__
    real_dbapi.flush_cache()
  File "/usr/lib64/portage/pym/portage/dbapi/vartree.py", line 1023, in flush_cache
    self._owners.populate() # index any unindexed contents
  File "/usr/lib64/portage/pym/portage/dbapi/vartree.py", line 1403, in populate
    self._populate()
  File "/usr/lib64/portage/pym/portage/dbapi/vartree.py", line 1429, in _populate
    owners_cache.add(cpv)
  File "/usr/lib64/portage/pym/portage/dbapi/vartree.py", line 1353, in add
    contents = self._vardb._dblink(cpv).getcontents()
  File "/usr/lib64/portage/pym/portage/dbapi/vartree.py", line 1825, in getcontents
    mylines = myc.readlines()
IOError: [Errno 5] Input/output error


Therefore, i have an fully update sabayon 4.1 converted in 4.2 testing, bu i have a 4.0 r1, not updtable Sabayon..., neither with portage and entropy... except for manual installation of some packages from thwe sabayon repo....
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: how to upgrade to 4.1 from 4

Postby albfneto » Mon Jun 01, 2009 1:10

But i will have in mind that the 4.0 r1 will be very old after the 4.2 release
Seems that after the 4.2 release, it will easier, to install many packages, graphical interfaces etc.. to a installed 4.2.
this will be more easy than to "convert" the very old 4.1 r1.
i enjoy full installations, with many many packages...
is it possible to made an "new Full 4.2" from an Xdelta system, as you indicated above?
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: how to upgrade to 4.1 from 4

Postby WarraWarra » Mon Jun 01, 2009 16:18

localhost albfneto # emerge krusader
Calculating dependencies
Traceback (most recent call last):
File "/usr/bin/emerge", line 18, in <module>
retval = _emerge.emerge_main()
File "//usr/lib64/portage/pym/_emerge/__init__.py", line 14543, in emerge_main


py = python

Code: Select all
equo install python
python-update # "if error = okay = ignore"
equo libtest
equo deptest
equo krusader # "if error use emerge"
emerge -p krusader
emerge krusader


"balajijagadesh" 4.0-r* -> update = halt / alto / Wait for mini / core cd or full 4.2 then clean dvd full install or maybe xdelta.

"albfneto " 4.0-r* equo world = jun 2009 = :D 90% -> 99% success ?? not tested but should work now. :?:
"albfneto " 4.0-r* equo world = 17 may - 30 may 2009 = :cry:

gentoo portage = 2.1.*
SL 4.1 / SL 4.2 = portage *.32 / *.33

Problem with update = 17may -> 30 may = update = :(
30 may update = :D 100% SL 4.1 dvd install to testing SL 4.2 :D
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: how to upgrade to 4.1 from 4

Postby WarraWarra » Mon Jun 01, 2009 16:30

albfneto wrote: Is it possible to made an "new Full 4.2" from an Xdelta system, as you indicated above?


http://wiki.sabayonlinux.org/index.php? ... Use_xdelta

Edit> "Split the ISO, using 2gb pieces," for 4.1 / 4.2 = 1gb as the iso = only 2gb , old iso was 4gb = 50% or 2gb split.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: how to upgrade to 4.1 from 4, Still errors.

Postby albfneto » Wed Jun 03, 2009 1:37

ALL Over freshly installed Sabayons, from 4.0 r1 DVDs

First trying... after equo update (new entropy series 9 updated!) and after equo world, without portage... Unusable system, many BUS errors, python errors, cannot more run emerge, or equo... bus errors... on boot, partition errors, many... my boot partitions are reiserfs

Second tried... reformatted, new sabyon 4.9 r1 installation...fresh.. working... updating olny linux-sabayon and nvidia drivers, with entropy....,new kernel in grub, but boot on new kernel, slow, runninf slow, memoru errrors, bus errors, partition errors... booty on old 27 kernel extremelly slow... no more running equo or emerge, BUS errors!
i tried to burn an CD RW, with K3B, in order to check memory... more than a hour and with no software buffer! memory errors....

Tried third time... this... i begin now to give BUS errors...
py = python

Código: Selecionar tudo
equo install python
python-update # "if error = okay = ignore"
equo libtest
equo deptest
equo krusader # "if error use emerge"
emerge -p krusader
emerge krusader


I tried the commands suggested:

Code: Select all
albfneto@localhost ~ $ su
Senha:
localhost albfneto # equo install python
/usr/bin/equo: line 4: 12732 Erro no barramento      python /usr/lib64/entropy/client/equo.py "$@"
localhost albfneto # equo libtest
/usr/bin/equo: line 4: 12735 Erro no barramento      python /usr/lib64/entropy/client/equo.py "$@"
localhost albfneto # equo deptest
/usr/bin/equo: line 4: 12737 Erro no barramento      python /usr/lib64/entropy/client/equo.py "$@"
localhost albfneto # python-update
bash: python-update: command not found
localhost albfneto # equo krusader
/usr/bin/equo: line 4: 12741 Erro no barramento      python /usr/lib64/entropy/client/equo.py "$@"
localhost albfneto # emerge -p krusader
Erro no barramento
localhost albfneto # emerge krusader
Erro no barramento
localhost albfneto #                         


Seems really BUS and memory errors caused by python....,
not my comp hardware problem, since i have also 4.1 GNOME, KDE installed, updated to 4.2, working, Mandriva Free, Windows 7, Gentoo, in the same comp, multiple boot, all working....!

i will try to install manually, python packages, downloaded from sabayon repo, as carried out with the portage package, because equo automatic not worked and original portages of the sabayon are older and the newer, are actually hardmasked.

Another possibility, using XDelta,
or even want some days to the new 4.2, in order to over it, make an "full" analog installation of the 4.0 r1, installing all the missing packages....

Because appears that many Sabayon users, cannot more want 4 giga distros..., unfortunatelly.

I like large distros, for this i also use Mandriva Free Spring.

third possibility, install a fresh 4.0 r1, and using it normally without update anything, for the newer packages,i will use the 4.1-4.2 ad after the 5.0 etc...

since this topic had to you until now hard job, Thanks until this moment.

is
a unusual problem...
some months ago with the older entropy, series 5, not the 9,
I carried out transformations of the 4.0 in 4.1, without any problem...!
at my job, in university, i have a semprom 32, that have a full 4.2, constructed over an old 4.0 r1, installed in January...
is working great, because of this i have in mind that not all comps, giving this python problems..
I have other updated Sabayon's installations. is it possible to copy only the "installed" python from these working installations?
Last edited by albfneto on Wed Jun 03, 2009 2:28, edited 1 time in total.
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: how to upgrade to 4.1 from 4

Postby albfneto » Wed Jun 03, 2009 2:05

i downloaded python from the sabayon entropy repo.
is a n starnge problem, seems that neither works, emerge, equo, portato,sulfur...
al not opens... BUS errors!
seems Python damaged!
command python-update not found!
:roll: :roll:

Possibility? Something in my old, six months 4.0 r1 DVD?

You said that you had similar problem, but in updating the 4.1 to 4.2...
but the commands working in your system.
Is it a manner to "remade" the damaged python without using equo or emerge,or sulfur or portato?
as you suggested above, if i copied from my other sabayon's installation, the packages newer with fetchonly option, therefore, translate then... python will be updated!
Last edited by albfneto on Wed Jun 03, 2009 2:19, edited 3 times in total.
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Next

Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 4 guests

cron